Subject: Re: linux-next: scsi-rc-fixes tree build failure

From: James Bottomley <[email-masked]>
Date: Thu, 30 Jul 2009 08:51:22 -0500

On Thu, 2009-07-30 at 18:13 +1000, Stephen Rothwell wrote:
> Hi James,
> 
> Today's linux-next build (powerpc allyesconfig) failed like this:
> 
> drivers/scsi/libsas/sas_expander.c: In function 'sas_find_bcast_dev':
> drivers/scsi/libsas/sas_expander.c:1701: error: 'FALSE' undeclared (first use in this function)
> drivers/scsi/libsas/sas_expander.c: In function 'sas_discover_new':
> drivers/scsi/libsas/sas_expander.c:1809: error: 'FALSE' undeclared (first use in this function)
> drivers/scsi/libsas/sas_expander.c:1824: error: 'TRUE' undeclared (first use in this function)
> drivers/scsi/libsas/sas_expander.c: In function 'sas_rediscover':
> drivers/scsi/libsas/sas_expander.c:1903: error: 'TRUE' undeclared (first use in this function)
> drivers/scsi/libsas/sas_expander.c:1918: error: 'FALSE' undeclared (first use in this function)
> drivers/scsi/libsas/sas_expander.c: In function 'sas_ex_revalidate_domain':
> drivers/scsi/libsas/sas_expander.c:1951: error: 'TRUE' undeclared (first use in this function)
> 
> Caused by commit 4c70d933a41e1d712f3db90d2a41141730383d5a ("[SCSI]
> libsas: fix wide port hotplug issues").  Presumably a missing include
> file.

Actually, I don't think so.  It's confusion over the use of boolean
variables.  I think they have to be set to lower case true, false, not
upper case.  There's obviously some accidental definition of TRUE and
FALSE in x86.

> I have reverted that commit for today.

Thanks, I've dropped it from my tree ... I'll put it back when this is
sorted out.

James